+++
title = "Livres"
description = "Livres"
weight = 10
+++

🇫🇷 **Ivan Illich, « La convivialité », 1973, Éditions du Seuil.**

![Couverture de la Convivialité d'Illich <](/img/cover/convivialite.jpg)
*L'analyse critique de la société industrielle doit beaucoup à Ivan Illich. Il est l'un des premiers à avoir dénoncé le productivisme, le culte de la croissance, l'apologie de la consommation et toutes les formes d'aliénation nées du mode de production capitaliste. "La Convivialité" montre comment l'organisation de la société tend à produire des consommateurs passifs, qui ont délégué aux institutions le pouvoir de décider et renoncé à assumer la responsabilité des orientations de leur société. Cette analyse critique se transforme en un manifeste. Il s'agit de réveiller politiquement les citoyens endormis, afin qu'ils se réapproprient leur destin.* 

[Fiche Babelio](https://www.babelio.com/livres/Illich-La-Convivialite/2485) - [Notice BNF](https://catalogue.bnf.fr/ark:/12148/cb43897048t)


🇫🇷 **Joël de Rosnay, « Le macroscrope &ndash; vers une vision globale », 1975, Éditions du Seuil.**

![Couverture du Macroscope <](/img/cover/macroscope.jpg)
*Qu'y a-t-il de commun entre l'écologie, le système économique, l'entreprise, la ville, l'organisme, la cellule ? Rien, si on se contente de les examiner avec l'instrument habituel de la connaissance, l'approche analytique. Mais beaucoup, en revanche, si l'on dépasse cette démarche classique pour faire ressortir les grandes règles d'organisation et de régulation de tous ces "systèmes". Pour Joël de Rosnay, l'instrument symbolique de cette nouvelle manière de voir, de comprendre et d'agir est le "macroscope", qui devrait être aussi précieux aujourd'hui aux grands responsables de la politique, de la science, de l'industrie, et à chacun de nous, que le sont le microscope et le télescope pour la connaissance scientifique de l'univers.*

[Fiche Babelio](https://www.babelio.com/livres/Rosnay-Le-macroscope/2738) - [Notice BNF](https://catalogue.bnf.fr/ark:/12148/cb437965432)

🇫🇷 **Normand Baillargeon, « L'ordre moins le pouvoir &ndash; Histoire et actualité de l'anarchisme », 2001, Agone, Troisième édition.**

![Couverture de l'ordre moins le pouvoir <](/img/cover/pouvoir.jpg)
*Affirmez que vous êtes anarchiste et presque immanquablement on vous assimilera à un nihiliste, à un partisan du chaos voire à un terroriste.
Or, il faut bien le dire : rien n'est plus faux que ce contresens, qui résulte de décennies de confusion savamment entretenue autour de l'idée d'anarchisme. En première approximation, disons que l'anarchisme est une théorie politique au cœur vibrant de laquelle loge l'idée d'anti-autoritarisme, c'est-à-dire le refus conscient et raisonné de toute forme illégitime d'autorité et de pouvoir. Une vieille dame ayant combattu lors de la guerre d'Espagne disait le plus simplement du monde : " Je suis anarchiste : c'est que je n'aime ni recevoir ni donner des ordres."
On le devine, cette idée est impardonnable, cet idéal inadmissible pour tous les pouvoirs. On ne l'a donc ni pardonné ni admis.*

[Fiche Babelio](https://www.babelio.com/livres/Baillargeon-Lordre-moins-le-pouvoir--Histoire-et-actualite-d/12412) - [Notice BNF](https://catalogue.bnf.fr/ark:/12148/cb41377101w)

🇫🇷 **Irénée Régnauld, Yaël Benayoun, « Technologies partout, démocratie nulle part : plaidoyer pour que les choix technologiques deviennent l'affaire de tous », 2020, FYP éditions.**

![Couverture de technologie partout démocratie nulle part <](/img/cover/techno-partout.jpg)
*L’urgence climatique, l’ubérisation, l’économie des petits boulots, les smart cities et la surveillance algorithmique nous ont brutalement fait prendre conscience des répercussions dramatiques des technologies. Alors que le progrès était censé servir le bien commun, il nous échappe. Nous le subissons. Malgré cela, la réponse apportée à tous les problèmes économiques et sociaux se borne à des solutions purement techniques. Irénée Régnauld et Yaël Benayoun révèlent et dénoncent les dogmes et les manœuvres qui permettent aux industries et aux pouvoirs publics de maintenir les citoyens et les travailleurs à l’écart des choix technologiques, en excluant tout processus démocratique. Ils montrent que notre arsenal juridique et nos institutions apeurées, voire serviles, sont incapables de contrer les servitudes imposées par les plateformes et les industries hyper capitalistes. Pour sortir de cette confiscation du progrès, les auteurs proposent des actions concrètes et réalistes qui replacent le débat démocratique et les revendications citoyennes au cœur du développement technologique, afin que la question du progrès devienne l’affaire de tous.*

[Fiche Babelio](https://www.babelio.com/livres/Benayoun-Technologies-partout-democratie-nulle-part/1276508) - [Notice BNF](https://catalogue.bnf.fr/ark:/12148/cb46655701v)

🇫🇷 **Stéphane Bortzmeyer, « Cyberstructure : L'Internet, un espace politique », 2018, C&F éditions.**

![Couverture de Cyberstructure <](/img/cover/cyberstructure.jpg)
*Une grande partie des activités humaines se déroule aujourd'hui sur l'Internet. On y fait des affaires, de la politique, on y bavarde, on travaille, on s'y distrait, on drague... L'Internet n'est donc pas un outil qu'on utilise, c'est un espace où se déroulent nos activités.
Les outils de communication ont d'emblée une dimension politique : ce sont les relations humaines, les idées, les échanges commerciaux ou les désirs qui s'y expriment. L'ouvrage de Stéphane Bortzmeyer montre les relations subtiles entre les décisions techniques concernant l'Internet et la réalisation - ou au contraire la mise en danger - des droits fondamentaux. Après une description précise du fonctionnement de l'Internet sous les aspects techniques, économiques et de la prise de décision, l'auteur évalue l'impact des choix informatiques sur l'espace politique du réseau.
Un ouvrage pour appuyer une citoyenneté informée, adaptée aux techniques du XXIe siècle et en mesure de défendre les droits humains.*

[Fiche Babelio](https://www.babelio.com/livres/Bortzmeyer-Cyberstructure--LInternet-un-espace-politique/1108683) - [Notice BNF](https://catalogue.bnf.fr/ark:/12148/cb45637569v)


🇫🇷 **Cornelius Castoriadis, « L'institution imaginaire de la société », 1975, Éditions du Seuil.**

![Couverture de L'institution imaginaire de la société <](/img/cover/imaginaire.jpg)
*Dans cet essai, qui fut son maître livre, Cornélius Castoriadis s'attache à un réexamen fondamental des bases philosophiques de la pensée révolutionnaire. Il retrouve, chez Marx notamment, les préceptes de la "pensée héritée", cette logique identitaire qui, depuis les Grecs, inspire la philosophie classique. Et il propose une "auto-institution" de la société qui laisserait cours, enfin, à l'imaginaire radical. Fruit d'une analyse précise de l'histoire et des luttes sociales à l'heure de l'effondrement des repères traditionnels de la révolution, ce livre, devenu un classique, propose un point de départ pour penser à neuf le projet de transformation de la société.*

[Fiche Babelio](https://www.babelio.com/livres/Castoriadis-Linstitution-imaginaire-de-la-societe/17835) - [Notice BNF](https://catalogue.bnf.fr/ark:/12148/cb345747395)


🇬🇧 **Mélanie Dulong de Rosnay, Félix Tréguer, et al, « Telecommunications Reclaimed: A hands-on guide to networking communities », 2019, autoédition.**

![Couverture de Telecommunications Reclaimed <](/img/cover/telco.jpg)
*This book is a guide on how to build a community network, a shared local telecommunications infrastructure, managed as a commons, to access the internet and other digital communications services. It was written collectively by a group of community network pioneers in Europe, activists and researchers during a writing residency week held in Vic, Catalonia in October 2018. Meant for a wide audience, the book includes practical knowledge illustrated by several hands-on experiences – a set of 32 real- life stories – as well as legal, technical, governance, economic and policy material extracted from netCommons, a three-year- long research project supported by the European Commission. Its goal is to guide the reader through a set of actions aimed at setting up and fostering the growth of a community network, but also, for policy makers, local administrations and the general public, to create the right conditions to let community networks bloom and flourish.*

[Lire en ligne](https://netcommons.eu/?q=telecommunications-reclaimed)


🇺🇸 **Edward Snowden, « Permanent Record », 2019, Metropolitan Books.**

![Couverture de Permanent Record <](/img/cover/permanent-record.jpg)
*Edward Snowden, the man who risked everything to expose the US government’s system of mass surveillance, reveals for the first time the story of his life, including how he helped to build that system and what motivated him to try to bring it down.*

[Fiche goodreads](https://www.goodreads.com/book/show/46223297-permanent-record)