---
title: Services
description: Annuaire des services hébergés chez Deuxfleurs
---

Cette page tente de recenser de façon exhaustive l'ensemble des services qui
fonctionnent actuellement sur les machines de Deuxfleurs, dans les différents
rôles identifiés : production, développement, expérimentation, etc.

| Service | Rôle | Site | Description |
| -- | -- | -- | -- |
| [deuxfleurs.fr](https://deuxfleurs.fr) | production | `atuin` | Site principal de Deuxfleurs |
| [guide.deuxfleurs.fr](https://guide.deuxfleurs.fr) | production | `atuin` | Ce site |
| [Garage HQ](https://garagehq.deuxfleurs.fr) | production | `atuin` | Site web de Garage |
| [Guichet](https://guichet.deuxfleurs.fr) | production | `atuin` | Interface de gestion des utilisateurs |
| [Synapse](https://im.deuxfleurs.fr) | production | `atuin` | Serveur Matrix |
| [Element](https://riot.deuxfleurs.fr) | production | `atuin` | Client web pour Matrix |
| [Jitsi](https://jitsi.deuxfleurs.fr) | production | `atuin` | Service de visioconférence |
| Postfix | production | `atuin` | Serveur SMTP |
| Dovecot | production | `atuin` | Serveur IMAP |
| [SoGo](https://sogo.deuxfleurs.fr) | production | `atuin` | Client mail SoGo |
| [Alps](https://alps.deuxfleurs.fr) | production | `atuin` | Client mail Alps (plus léger) |
| [Plume](https://plume.deuxfleurs.fr) | production | `atuin` | Blog collaboratif et fédéré |
| [Platôo](https://platoo.deuxfleurs.fr) | production | `atuin` | Jeux de plateau en ligne |
| [Garage](https://garage.deuxfleurs.fr) | production | `atuin`, `neptune`, `jupiter` | Serveur de stockage de données |
| [CryptPad](https://pad.deuxfleurs.fr) | production | `neptune` | Éditeur de documents collaboratif chiffré |
| [Grafana](https://grafana.home.mricher.fr) | production | `mercure` | Interface de monitoring de l'infrastructure |
| [Gitea](https://git.deuxfleurs.fr) | développement | `mars` | Forge logicielle |
| [Drone](https://drone.deuxfleurs.fr) | développement | `atuin` | Serveur d'intégration continue |
| Drone (runner) | développement | `neptune` | Worker pour l'intégration continue |
| SSH | sauvegarde | `mercure` | Target de backups (Consul) |
| [Minio](https://s3.deuxfleurs.shirokumo.net) | sauvegarde | `mercure` | Target de backups restic |
| [cron rclone](@/operations/sauvegardes/rclone.md) | sauvegarde | `jupiter` | Backup régulier du contenu de Garage |
| [staging.deuxfleurs.org](https://staging.deuxfleurs.org) | expérimentation | `neptune` | Site statique de test |
| Garage ([S3](https://garage.staging.deuxfleurs.org), [K2V](https://k2v.staging.deuxfleurs.org)) | expérimentation | `neptune` | Beta-test serveur de stockage de données |
| [Guichet](https://guichet.staging.deuxfleurs.org) | expérimentation | `neptune` | Beta-test interface de gestion des utilisateurs |
| [Grafana](https://grafana.staging.deuxfleurs.org) | expérimentation | `neptune` | Interface de monitoring |
| [Kibana](https://kibana.staging.deuxfleurs.org) | expérimentation | `neptune` | Interface de monitoring |
