---
title: AG 2021
description: Seconde Assemblée Générale
weight: 20
---


Le 7 février 2021 se tenait la deuxième Assemblée Générale (AG) de Deuxfleurs.
Nous avons fêté nos un an d'existence !

Les choses étant ce qu'elles sont, l'AG s'est tenue virtuellement sur notre [Jitsi](https://jitsi.deuxfleurs.fr). Pour rendre les choses intéressantes, nous nous sommes fendus d'une présentation liminaire (*keynote* en anglais).
Au final, nous avons réélu le même bureau qu'en 2020, à savoir : Maximilien, Alex, Adrien, Vincent et Quentin.

La retransmission de l'AG, accessible sur [le PeerTube de l'association TeDomum](https://video.tedomum.net/videos/watch/1df11eb4-b9d6-4c39-bbe3-2247dc577725) (qu'on remercie de nous héberger !) :

<iframe width="560" height="315" sandbox="allow-same-origin allow-scripts allow-popups" src="https://video.tedomum.net/videos/embed/1df11eb4-b9d6-4c39-bbe3-2247dc577725" frameborder="0" allowfullscreen></iframe>

Les transparents de la réunion sont accessibles ici : <https://deuxfleurs.fr/_ag2021/>


# Bilan moral 2020

Deuxfleurs, constitué en association loi 1901, rappelle ses valeurs :

> Défendre et promouvoir les libertés individuelles et collectives à travers la mise en place d'infrastructures numériques libres.

## Héberger des services informatiques de manière économique et responsable

Avec du matériel d'occasion :

- PC de bureau d'entreprise reclassés (5 ans+)
- Vieux serveurs de datacenter (10 ans+)
- Ancien matériel personnel (ordinateurs fixes ou portables)

Objectif :  pas de matériel neuf quand on peut s'en passer.

Hébergé majoritairement chez des particuliers :

- Hébergement principal en Bretagne sur une fibre Free
- Backups en région parisienne et à Bruxelles
- Un serveur chez Gandi, et un second chez OVHCloud

Un ordinateur portable et une connexion internet classiques suffisent à la plupart des besoins.

Organisé en _sites_ géographiques (5 sites actuellement, bientôt 6 !). L'inventaire du matériel est par ailleurs public.

## Services proposées

E-mail ; discussions instantanées ; visio-conférences ; édition collaborative ; stockage de fichiers ; hébergement de code source, de blogs texte, et de sites web.

Engagement de qualité : sauvegarde automatique, surveillance des ressources.

## Développement logiciel

- Authentification unique : [bottin](https://git.deuxfleurs.fr/Deuxfleurs/bottin), [guichet](https://git.deuxfleurs.fr/Deuxfleurs/guichet)
- Stockage distribué entre ordinateurs domestiques :
  - [Garage](https://git.deuxfleurs.fr/Deuxfleurs/garage) : Stockage objet distribué (_à la_ S3) et hébergement de sites statiques
  -  [Diplonat](https://git.deuxfleurs.fr/Deuxfleurs/diplonat) : Ouverture de ports automatique pour les services sur les box grand public

## « Think tank » : Éducation populaire, médiation, diffusion

Conversion des ami⋅e⋅s aux services libres :

- Matrix : Salons associatifs, d'amis, de familles...
- Jitsi : vocapéros, réunions de boulot, de famille...

Peu mesurable mais très satisfaits !

Réflexion en cours pour refondre le site web de deuxfleurs.fr (réflexion sur le design, mandat d'une artiste pour réaliser une illustration).

Utilisation de _Plume_ (plateforme de blogs texte distribuée) pour écrire des articles d'opinion par certains membres.

L'association a par ailleurs réalisé une prestation de service rémunérée pour le collectif [Mouton Numérique](https://mouton-numerique.org/). Il s'agit d'une opération stratégique car elle nous permet de rendre service, et de créer des liens dans l'écosystème associatif et militant tout en apportant des fonds à l'association.

Contribution à Heylo (avec TeDomum notamment) : il s'agit d'une future passerelle pour aider à rejoindre les « réseaux sociaux fédérés ». Penser à un annuaire.

## Programme moral 2021

- Hébergement et développements
  - mise en pratique de l'hébergement décentralisé basé sur Garage, avec un déploiement facilité
  - travailler sur la labélisation CHATON et une ouverture plus large au public
- Diffusion
  - Avancer sur le nouveau site web (design et ensuite contenu)
  - Accueillir les nouveaux bénévoles qui souhaitent s'impliquer
  - Présence dans les lieux de rencontre militants

# Bilan financier 2020

La comptabilité de l'association est gérée sous forme de fichier plat dans un dépôt Git interne.
Il n'y a pas de compte en banque pour le moment, en raison du coût récurrent associé.
Les fonds sont gérés par Alex et Quentin, deux membres du bureau.

> État initial en janvier 2020 : 0€
> État final au 31 décembre 2020 : 130€ (+345€,-215€)

## Détails des opérations

- Cotisations des membres : +90€
- Prestations facturées : +100€
- Contributions cagnotte illustration : +155€
- Commande illustration pour le site web : -215€ (dont 60€ pris sur fonds de l'asso, le reste issu de la cagnotte)

Le bilan de l'année 2020 est donc positif.

# Élection du bureau 2021

Conformément aux statuts, le scrutin est un Condorcet randomisé.
Il y a 6 sièges à pourvoir, et il y a actuellement 10 électeurs.

Les candidats se présentent oralement : Adrien, Alex, Maximilien, Quentin, Vincent. Le scrutin à bulletin secret se déroule. Son résultat est disponible [ici](https://civs.cs.cornell.edu/cgi-bin/results.pl?id=E_ce46d726de6c615a).

Tous les membres du bureau sortant sont donc réélus pour 2021.

Merci à l'ensemble des membres du bureau, ainsi qu'à toutes celles et ceux ayant donné un coup de main à l'association en cette première année d'existence !
